commit c0a2c21ac098cd476c0f6436b292bf41013f7b46
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Fri Apr 7 14:26:53 2023 +0200

    Updated folder structure

diff --git a/doc/aswi/vize_produktu/doc.pdf b/doc/aswi/vize_produktu/doc.pdf
index 4912eba23..d0cc53c23 100644
Binary files a/doc/aswi/vize_produktu/doc.pdf and b/doc/aswi/vize_produktu/doc.pdf differ
diff --git a/doc/aswi/vize_produktu/doc.tex b/doc/aswi/vize_produktu/doc.tex
index 7dd090168..61837f9af 100644
--- a/doc/aswi/vize_produktu/doc.tex
+++ b/doc/aswi/vize_produktu/doc.tex
@@ -14,6 +14,8 @@
 \usepackage{subcaption}
 \usepackage{listings}
 \usepackage{color}
+\usepackage[table]{xcolor}
+\usepackage{array}
 \hypersetup{
     colorlinks,
     citecolor=black,
@@ -130,12 +132,42 @@ Taktéž řeší problémy, kdy pacienti nemají možnost časté dopravy k tera
 
 \subsubsection{Externí}
 \begin{itemize}
-  \item Terapeuti
+  \item Terapeuti pro pacienti s postižením CNS
   \item Pacienti s postižením CNS
 \end{itemize}
 
 \subsection{Popis uživatele}
-\paragraph{} Uživatelem může být kdokoliv s připojením k internetu a počítačem s webovým prohlížečem.
+\paragraph{} Uživatelem může být kdokoliv s připojením k internetu a zařízením s webovým prohlížečem.
+
+
+\subsection{Popis uživatelského prostředí}
+\paragraph{} Splnění úlohy provádí pacient sám.
+Délka každé úlohy se liší v závislosti na pacientovi a samotné úloze.
+Úlohy je možné plnit kdekoliv a kdykoliv.
+
+\subsection{Požadavky stakeholderů}
+\begin{center}
+  \begin{tabular}{|| p{0.2\linewidth} | p{0.1\linewidth} | p{0.2\linewidth} | p{0.2\linewidth} | p{0.2\linewidth} ||}
+    \hline \rowcolor{lightgray}
+    Potřeba                                & Priorita & Obavy                                & Nynější řešení                       & Navržené řešení                                         \\
+    \hline
+    Nový design šablon                     & Vysoká   & Množství práce pro převedení šablony & Starý design                         & Nový design od Michala Horkého                          \\
+    \hline
+    Přechod na novější verzi Unity         & Vysoká   & Převod nenabídne žádné výhody        & Unity verze 2018                     & Unity verze 2022                                        \\
+    \hline
+    Řešení výkonnostních problémů aplikace & Střední  & Bottleneck bude neovlivnitelný       & Žádné                                & Přechod na novější verzi Unity                          \\
+    \hline
+    Vytvoření projektové dokumentace       & Nižší    & Žádné                                & Útržky z předchozích odborných prací & Dedikované dokumenty obsahující podrobný popis aplikace \\
+    \hline
+  \end{tabular}
+\end{center}
+
+\newpage
+\section{Přehled produktu}
+
+\subsection{Perspektiva produktu}
+\paragraph{} Produkt v této chvíli nemá žádnou přímou komerční konkurenci.
+Taktéž není závislý na žádných ostatních produktech, aplikacích či jiných systémech.
 
 
 % \cite{Example}
diff --git a/doc/internal/assets/aswi_branches.drawio b/doc/internal/assets/aswi_branches.drawio
deleted file mode 100644
index cc826bc26..000000000
--- a/doc/internal/assets/aswi_branches.drawio
+++ /dev/null
@@ -1 +0,0 @@
-<mxfile host="app.diagrams.net" modified="2023-02-27T18:57:08.934Z" agent="5.0 (X11)" etag="xBrTJXhf0yV0iBiW_cQ9" version="20.8.23" type="device"><diagram name="Page-1" id="c_o0WdvzdA73kFaHCeJq">5VnbUtswEP2aPLbjO8kjJKF0Cm2BzgB9U2zFVitbRlFu/fquY8l3kwC5TeAF60hay+fsrrRKx+yHiy8cxcEN8zDtGJq36JiDjmHomqXDvwRZSkR3jBTxOfEklgP35B9WUyU6JR6elAYKxqggcRl0WRRhV5QwxDmbl4eNGS2/NUY+rgH3LqJ19IF4IkjRrq3l+BUmfqDerGuyJ0RqsAQmAfLYvACZw47Z54yJ9Clc9DFN2FO8pPMuW3qzhXEciU0m3MbXV99uuw8/fvvPCPHL57vB9JMyM0N0Kr9YrlYsFQWcTSMPJ1a0jnkxD4jA9zFyk945qA5YIEIKLR0ex4TSPqOMr+aaHsLdsQv4RHD2Fxd6HLeLR2Po8TnyCHyD6otYhKWhe7kINBUMILlUzAVetJKgZ9SCU2IWYsGXMERNUGpIfzS6sj3PxbWVuEFBWFNNRNKh/Mx2zjk8SNpfIcEGCoAV8He8nv0tMGQ4ZYbMXgNDDQTZu+KnV6fDgxCVTcZFwHwWITrM0Yuyy+ZjrhmLJVV/sBBLmW+kfxWIBLL48rHYeEqMfbZVc7CQxtPWUrbStSYLfJl++B425S5+KTRltkPcx2Kd/9Tl5JgiQWbldWzfec2DqlMQ5KmkR7M6HpoEq/fqh5HKeqdUq6nnnKNlYUDMSCQmBcs/EyAPaEuvBLRd2Scq47P01zweHtIV5E6Tfcrb/cg4riRodu3jSoK6XufjQ2RBa8PQMg6ZBa3j8l7brG7hxme75r9Wg/9a9o4YsjdgKPLOkwM7tFyKJhPilokpezNeEPFYeC44JrRyv0waO3BLVYqsc0unWagN08jrNoa1md+pnmHTz5SzXtgSjIohq2oo5aFmaFu7g9PgPQ4VSZXAVut0s7rCeZ4mBRVobWqrvyLk+PL/au5IAXeYYgSxKXFY4qg6FrD0VQquOC8Eqyi7a7ngKRQ1FQhR4keJz4MPYsAvktAnUICey46QeB5tSxzloEiWWCixNK3X07Tt5BS9ciqwtPqO6DTVTbvaEc9afSIT7wZNEkobZT1K/bagExzfjkunbqtOHpkpPQZ4VpCp0HG6QpndIwsoleMLSv3CEEDeCWtgrL/r2K8G9TroaxhTHCZ8nbAQ1gaXTvsVor69fMdzAMYYiSmHs8Jl/w6aI44iNzhhYaqXB0ZdGL2pktidMk0byrtKibZTU9stU1YMv7v6fWtVe5jywX5r+WBZFUPafssHvdd6BslOhMMopTZOF/GRjozVk0h2AXio5GvUTyL1EN/jfUp2NFME6WcN9ylGA0VGdvHyCpKgmf8qmMZA/uOqOfwP</diagram></mxfile>
\ No newline at end of file
diff --git a/doc/internal/assets/aswi_branches.png b/doc/internal/assets/aswi_branches.png
deleted file mode 100644
index b4f78a022..000000000
Binary files a/doc/internal/assets/aswi_branches.png and /dev/null differ
diff --git a/doc/internal/assets/jira_workflow.png b/doc/internal/assets/jira_workflow.png
deleted file mode 100644
index 884ab05cf..000000000
Binary files a/doc/internal/assets/jira_workflow.png and /dev/null differ
diff --git a/doc/internal/assets/logo.png b/doc/internal/assets/logo.png
deleted file mode 100644
index e0be47f39..000000000
Binary files a/doc/internal/assets/logo.png and /dev/null differ
diff --git a/doc/internal/doc.pdf b/doc/internal/doc.pdf
deleted file mode 100644
index 36527a573..000000000
Binary files a/doc/internal/doc.pdf and /dev/null differ
diff --git a/doc/internal/doc.tex b/doc/internal/doc.tex
deleted file mode 100644
index 4c5c883dd..000000000
--- a/doc/internal/doc.tex
+++ /dev/null
@@ -1,177 +0,0 @@
-\documentclass[12pt, a4paper]{article}
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\usepackage[czech]{babel}
-\usepackage{geometry}
-\usepackage[final]{graphicx}
-\usepackage{anyfontsize}
-\usepackage{setspace}
-\usepackage{hyperref}
-\usepackage[T1]{fontenc}
-\usepackage{subcaption}
-\hypersetup{
-    colorlinks,
-    citecolor=black,
-    filecolor=black,
-    linkcolor=black,
-    urlcolor=black
-}
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\begin{document}
-
-\begin{titlepage}
-    \title{
-        \vspace{-4cm}\hspace{-10cm}
-        \includegraphics[width=8cm]{assets/logo.png} \\
-        \vspace{5cm}
-        \begingroup
-        \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
-        \parbox{13.3cm}{
-            \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
-                \fontsize{24}{10}\selectfont\centering{{Interní týmové předpisy a dokumentace}}
-            }}
-        \endgroup}
-    \date{}
-    \author{}
-    \maketitle \thispagestyle{empty}
-    \vspace{3cm}
-    \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
-                Autor: Bc. Jan Hereš\\
-                Datum: 27.02.2023\\
-                Poslední úprava: \today\\}}
-\end{titlepage}
-\newpage
-
-
-\tableofcontents
-\newpage
-
-\section{Úvod}
-\paragraph{} Tento dokument slouží jakožto analogie ,,interních směrnicí'' pro sjednocení a ustálení vývojových procesů napříč celým týmem.
-
-\section{Interní management}
-\paragraph{} V rámci řízení projektu bylo ustanoveno, že se tým bude \textbf{pravidelně} scházet v on-site/online formě každý týden (konkrétní den bude vždy určen s předstihem dle možností jednotlivých zúčastněných). V rámci těchto schůzek bude probrána odvedená a naplánovaná práce, případně jakákoliv nastávající problematika. Z těchto meetingů bude \textbf{vždy} vytvořen ,,záznam ze schůzky dne XXX'', který bude součástí dokumentu se všemi takovými záznamy.
-
-\section{Verzovací systém Git}
-\paragraph{} Tato sekce se týká verzovacího systému Git (potažmo repozitáře Gitlab).
-
-
-\subsection{Tvorba vývojových větví (\textit{branches})}
-\paragraph{} V rámci projektu existuje hlavní vývojová větev \textbf{master}.
-V této větvi budou dostupné veškeré \textbf{funkční a otestované} verze projektu ve formě otagovaných \textbf{releases}.
-Nadále bude existovat větev \textbf{development (dev)}, na které bude dostupná \textbf{poslední upravená, funkční a otestovaná}(na dev prostředí) verze, jež nebyla ještě otestována na produkčním prostředí.
-Ve chvíli, kdy bude verze na development větvi otestována i na produkčním prostředí, může být vytvořen merge request do hlavní větve (za předpokladu, že jsou splněny všechny požadavky na novou verzi).
-Pro nové \textit{features} nebo pro \textit{change requests} bude vždy vytvořena \textbf{nová} separátní větev z development větve.
-Workflow mezi jednotlivými větvemi je vyobrazen na obrázku \ref{fig:branches_workflow}.
-
-\begin{figure}[h]
-    \centering
-    \includegraphics[width=\linewidth]{assets/aswi_branches.png}
-    \caption{Workflow mezi jednotlivými větvemi v rámci repozitáře}
-    \label{fig:branches_workflow}
-\end{figure}
-
-
-\subsection{Tvorba a správa úkolů napříč používanými nástroji}
-
-\subsubsection{Issues}
-\paragraph{} Issue je základní plánovací jednotka v systému řízení projektu (zde konkrétně nástroj \textbf{Jira}).
-Tato jednotka bude vždy svázána s konkrétní \textit{issue} na repozitáři Gitlab, tzn. v rámci \textit{issue} bude \textbf{vždy} k dispozici odkaz na danou \textit{issue} v repozitáři. Jejich vazba by tedy vždy měla být 1:1.
-
-\subsubsection{Ticket}
-\paragraph{} Ticket je běžný základní úkol.
-V rámci každé issue bude k dispozici výčet všech podúkolů (\textit{task}) které je nutné v rámci daného ticketu splnit.
-V rámci \textit{issue} bude taktéž možné specifikovat, zda-li úkol čeká na dokončení jiného, či naopak.
-
-\subsubsection{Feature}
-\paragraph{} Feature je typ \textit{issue} využívaný k označení implementace nové funkcionality do aplikace.
-
-\subsubsection{Bug}
-\paragraph{} Bug je typ, kterým se označují úkoly spojené s odstraněním nových vzniklých chyb během vývoje.
-
-\subsubsection{Change request}
-\paragraph{} Tímto type se označují úkoly, které jsou spojené se změnou nějaké již implementované funkcionality (feature), nicméně během vývoje došlo ke změnám priorit zákazníka a je potřeba tuto funkčnost upravit/změnit.
-
-\subsubsection{Epic}
-\paragraph{} Epicy jsou velké logické celky agregující jednotlivé, logicky spjaté \textit{issues}.
-V rámci jedné iterace je možné mít naplánováno více Epiců a jeden Epic může být součástí více iterací.
-
-\subsubsection{Obecná pravidla pro vytváření \textit{issues}}
-\begin{itemize}
-    \item Každá \textit{issue} bude obsahovat krátký, nicméně dostatečně deskriptivní popis, čeho konkrétně se týká
-    \item Každá \textit{issue} bude \textbf{jednoznačně identifikovatelná} za pomocí tzv. \textbf{labelů} (specifikováno dále)
-    \item Každá \textit{issue}, která bude v jiné, než \textbf{Backlog} fázi (specifikováno dále) bude \textbf{jednoznačně přiřazena} danému vývojáři (případně testerovi či zákazníkovi, bude-li třeba)
-    \item Každá \textit{issue} bude označena jednou z možností \textbf{,,priority''} (viz dále)
-    \item U každé issue, které je ve fázi ,,In progress'', či dále, by měl být stanoven časový odhad potřebné práce k dokončení.
-
-\end{itemize}
-
-\subsubsection{Možné fáze \textit{issues}}
-\begin{itemize}
-    \item Backlog - analogie s TODO
-    \item In progress
-    \item To test (dev) - testování \textbf{vždy provádí jiný vývojář(tester)!}
-    \item Code review
-    \item To deploy (dev) - funkcionalita implementována, nicméně je nutné funkční verzi \textit{deploynout} na testovací prostředí k umožnění testování
-    \item To test (prod) - otestování na produkčním prostředí
-    \item To deploy (prod) - končí schválením merge requestu do \textbf{masteru}
-    \item Done - Issue hotova, uzavřena
-\end{itemize}
-
-\paragraph{} Poznámka: Ze stavu ,,To deploy (dev)'' lze přejít do stavu ,,Done'', pokud není žádoucí ovlivňovat produkční prostředí (zejména pro malé změny, které jsou součástí většího zásahu do projektu).
-
-
-\paragraph{Typy issues}
-\begin{itemize}
-    \item Epic - velký logický blok, který obaluje novou funkcionalitu nebo velké množství úprav
-    \item Feature - nová funkcionalita (zejména front-endové změny)
-    \item Ticket - jakýkoliv další úkol, který implicitně není novou funkcionalitou, spíše například vytvoření obsáhlejší dokumentace, případně nových tříd či struktur
-    \item Task - základní úkol (ideálně atomický); využití na rozdělení ticketu do menších podúkolů
-    \item Bug - Chyba, kterou je nutno opravit
-    \item Change request - vyžádaná změna od zákazníka/uživatele, která byla již dříve implementována
-\end{itemize}
-
-\paragraph{Typy priority}
-\begin{itemize}
-    \item \textbf{Lowest}
-    \item \textbf{Low} - nevyžaduje velkou pozornost (příkladem mohou být nekritické části aplikace, ,,nice to have(s)''),
-    \item \textbf{Medium} - vyžaduje vyšší míru pozornosti - již by neměly zůstávat nedokončeny v rámci přiřazené iterace (v krajních případech je možné posunout do další),
-    \item \textbf{High} - vysoká priorita vyžadujicí privilegované řešení,
-    \item \textbf{Highest (Severe)} - maximální důležitost - vyžaduje okamžité řešení (například v případech, kdy tyto problémy způsobují nestabilitu či přímo rozbíjí produkční prostředí)
-\end{itemize}
-
-\paragraph{} V rámci jakýchkoliv úkolů \textbf{není potřeba} vést časové údaje a odhady. Tato činnost bude probíhat v systému \textbf{Jira}.
-
-
-\section{Aplikace pro řízení projektů - Jira}
-\paragraph{} Pro účely předmětu ASWI bylo schváleno garantem předmětu doc.Ing. Přemyslem Bradou, MsC., Ph.D. a vedoucími projektu použití nástroje \textbf{Jira} pro správu vývoje a projektu.
-Pro sjednocení vývojového procesu byl vytvořen následující projektový workflow:
-
-\begin{figure}
-    \centering
-    \includegraphics[width=\linewidth]{assets/jira_workflow.png}
-    \caption{Projektový workflow v systému Jira}
-\end{figure}
-
-\paragraph{} Poznámka: Je tedy zřejmé, že tento workflow přesně koreluje s navrženou stukturou repozitáře projektu.
-
-
-% \cite{Example}
-
-
-% \clearpage
-% \section{Závěr}
-
-% \newpage
-% \bibliographystyle{unsrt}
-% {\raggedright\small
-% \bibliography{literatura}
-% }
-
-\end{document}
\ No newline at end of file
diff --git a/doc/internal/literatura.bib b/doc/internal/literatura.bib
deleted file mode 100644
index fb12e673a..000000000
--- a/doc/internal/literatura.bib
+++ /dev/null
@@ -1,7 +0,0 @@
-@misc{Example,
-    author = {Autor},
-    key = {},
-    title = {Název},
-    year = {2022},
-    howpublished = "Dostupné na \url{google.com}"
-}
\ No newline at end of file
diff --git a/doc/internal/smernice/assets/aswi_branches.drawio b/doc/internal/smernice/assets/aswi_branches.drawio
new file mode 100644
index 000000000..cc826bc26
--- /dev/null
+++ b/doc/internal/smernice/assets/aswi_branches.drawio
@@ -0,0 +1 @@
+<mxfile host="app.diagrams.net" modified="2023-02-27T18:57:08.934Z" agent="5.0 (X11)" etag="xBrTJXhf0yV0iBiW_cQ9" version="20.8.23" type="device"><diagram name="Page-1" id="c_o0WdvzdA73kFaHCeJq">5VnbUtswEP2aPLbjO8kjJKF0Cm2BzgB9U2zFVitbRlFu/fquY8l3kwC5TeAF60hay+fsrrRKx+yHiy8cxcEN8zDtGJq36JiDjmHomqXDvwRZSkR3jBTxOfEklgP35B9WUyU6JR6elAYKxqggcRl0WRRhV5QwxDmbl4eNGS2/NUY+rgH3LqJ19IF4IkjRrq3l+BUmfqDerGuyJ0RqsAQmAfLYvACZw47Z54yJ9Clc9DFN2FO8pPMuW3qzhXEciU0m3MbXV99uuw8/fvvPCPHL57vB9JMyM0N0Kr9YrlYsFQWcTSMPJ1a0jnkxD4jA9zFyk945qA5YIEIKLR0ex4TSPqOMr+aaHsLdsQv4RHD2Fxd6HLeLR2Po8TnyCHyD6otYhKWhe7kINBUMILlUzAVetJKgZ9SCU2IWYsGXMERNUGpIfzS6sj3PxbWVuEFBWFNNRNKh/Mx2zjk8SNpfIcEGCoAV8He8nv0tMGQ4ZYbMXgNDDQTZu+KnV6fDgxCVTcZFwHwWITrM0Yuyy+ZjrhmLJVV/sBBLmW+kfxWIBLL48rHYeEqMfbZVc7CQxtPWUrbStSYLfJl++B425S5+KTRltkPcx2Kd/9Tl5JgiQWbldWzfec2DqlMQ5KmkR7M6HpoEq/fqh5HKeqdUq6nnnKNlYUDMSCQmBcs/EyAPaEuvBLRd2Scq47P01zweHtIV5E6Tfcrb/cg4riRodu3jSoK6XufjQ2RBa8PQMg6ZBa3j8l7brG7hxme75r9Wg/9a9o4YsjdgKPLOkwM7tFyKJhPilokpezNeEPFYeC44JrRyv0waO3BLVYqsc0unWagN08jrNoa1md+pnmHTz5SzXtgSjIohq2oo5aFmaFu7g9PgPQ4VSZXAVut0s7rCeZ4mBRVobWqrvyLk+PL/au5IAXeYYgSxKXFY4qg6FrD0VQquOC8Eqyi7a7ngKRQ1FQhR4keJz4MPYsAvktAnUICey46QeB5tSxzloEiWWCixNK3X07Tt5BS9ciqwtPqO6DTVTbvaEc9afSIT7wZNEkobZT1K/bagExzfjkunbqtOHpkpPQZ4VpCp0HG6QpndIwsoleMLSv3CEEDeCWtgrL/r2K8G9TroaxhTHCZ8nbAQ1gaXTvsVor69fMdzAMYYiSmHs8Jl/w6aI44iNzhhYaqXB0ZdGL2pktidMk0byrtKibZTU9stU1YMv7v6fWtVe5jywX5r+WBZFUPafssHvdd6BslOhMMopTZOF/GRjozVk0h2AXio5GvUTyL1EN/jfUp2NFME6WcN9ylGA0VGdvHyCpKgmf8qmMZA/uOqOfwP</diagram></mxfile>
\ No newline at end of file
diff --git a/doc/internal/smernice/assets/aswi_branches.png b/doc/internal/smernice/assets/aswi_branches.png
new file mode 100644
index 000000000..b4f78a022
Binary files /dev/null and b/doc/internal/smernice/assets/aswi_branches.png differ
diff --git a/doc/internal/smernice/assets/jira_workflow.png b/doc/internal/smernice/assets/jira_workflow.png
new file mode 100644
index 000000000..884ab05cf
Binary files /dev/null and b/doc/internal/smernice/assets/jira_workflow.png differ
diff --git a/doc/internal/smernice/assets/logo.png b/doc/internal/smernice/assets/logo.png
new file mode 100644
index 000000000..e0be47f39
Binary files /dev/null and b/doc/internal/smernice/assets/logo.png differ
diff --git a/doc/internal/smernice/doc.pdf b/doc/internal/smernice/doc.pdf
new file mode 100644
index 000000000..36527a573
Binary files /dev/null and b/doc/internal/smernice/doc.pdf differ
diff --git a/doc/internal/smernice/doc.tex b/doc/internal/smernice/doc.tex
new file mode 100644
index 000000000..4c5c883dd
--- /dev/null
+++ b/doc/internal/smernice/doc.tex
@@ -0,0 +1,177 @@
+\documentclass[12pt, a4paper]{article}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\usepackage[czech]{babel}
+\usepackage{geometry}
+\usepackage[final]{graphicx}
+\usepackage{anyfontsize}
+\usepackage{setspace}
+\usepackage{hyperref}
+\usepackage[T1]{fontenc}
+\usepackage{subcaption}
+\hypersetup{
+    colorlinks,
+    citecolor=black,
+    filecolor=black,
+    linkcolor=black,
+    urlcolor=black
+}
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{document}
+
+\begin{titlepage}
+    \title{
+        \vspace{-4cm}\hspace{-10cm}
+        \includegraphics[width=8cm]{assets/logo.png} \\
+        \vspace{5cm}
+        \begingroup
+        \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+        \parbox{13.3cm}{
+            \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+                \fontsize{24}{10}\selectfont\centering{{Interní týmové předpisy a dokumentace}}
+            }}
+        \endgroup}
+    \date{}
+    \author{}
+    \maketitle \thispagestyle{empty}
+    \vspace{3cm}
+    \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+                Autor: Bc. Jan Hereš\\
+                Datum: 27.02.2023\\
+                Poslední úprava: \today\\}}
+\end{titlepage}
+\newpage
+
+
+\tableofcontents
+\newpage
+
+\section{Úvod}
+\paragraph{} Tento dokument slouží jakožto analogie ,,interních směrnicí'' pro sjednocení a ustálení vývojových procesů napříč celým týmem.
+
+\section{Interní management}
+\paragraph{} V rámci řízení projektu bylo ustanoveno, že se tým bude \textbf{pravidelně} scházet v on-site/online formě každý týden (konkrétní den bude vždy určen s předstihem dle možností jednotlivých zúčastněných). V rámci těchto schůzek bude probrána odvedená a naplánovaná práce, případně jakákoliv nastávající problematika. Z těchto meetingů bude \textbf{vždy} vytvořen ,,záznam ze schůzky dne XXX'', který bude součástí dokumentu se všemi takovými záznamy.
+
+\section{Verzovací systém Git}
+\paragraph{} Tato sekce se týká verzovacího systému Git (potažmo repozitáře Gitlab).
+
+
+\subsection{Tvorba vývojových větví (\textit{branches})}
+\paragraph{} V rámci projektu existuje hlavní vývojová větev \textbf{master}.
+V této větvi budou dostupné veškeré \textbf{funkční a otestované} verze projektu ve formě otagovaných \textbf{releases}.
+Nadále bude existovat větev \textbf{development (dev)}, na které bude dostupná \textbf{poslední upravená, funkční a otestovaná}(na dev prostředí) verze, jež nebyla ještě otestována na produkčním prostředí.
+Ve chvíli, kdy bude verze na development větvi otestována i na produkčním prostředí, může být vytvořen merge request do hlavní větve (za předpokladu, že jsou splněny všechny požadavky na novou verzi).
+Pro nové \textit{features} nebo pro \textit{change requests} bude vždy vytvořena \textbf{nová} separátní větev z development větve.
+Workflow mezi jednotlivými větvemi je vyobrazen na obrázku \ref{fig:branches_workflow}.
+
+\begin{figure}[h]
+    \centering
+    \includegraphics[width=\linewidth]{assets/aswi_branches.png}
+    \caption{Workflow mezi jednotlivými větvemi v rámci repozitáře}
+    \label{fig:branches_workflow}
+\end{figure}
+
+
+\subsection{Tvorba a správa úkolů napříč používanými nástroji}
+
+\subsubsection{Issues}
+\paragraph{} Issue je základní plánovací jednotka v systému řízení projektu (zde konkrétně nástroj \textbf{Jira}).
+Tato jednotka bude vždy svázána s konkrétní \textit{issue} na repozitáři Gitlab, tzn. v rámci \textit{issue} bude \textbf{vždy} k dispozici odkaz na danou \textit{issue} v repozitáři. Jejich vazba by tedy vždy měla být 1:1.
+
+\subsubsection{Ticket}
+\paragraph{} Ticket je běžný základní úkol.
+V rámci každé issue bude k dispozici výčet všech podúkolů (\textit{task}) které je nutné v rámci daného ticketu splnit.
+V rámci \textit{issue} bude taktéž možné specifikovat, zda-li úkol čeká na dokončení jiného, či naopak.
+
+\subsubsection{Feature}
+\paragraph{} Feature je typ \textit{issue} využívaný k označení implementace nové funkcionality do aplikace.
+
+\subsubsection{Bug}
+\paragraph{} Bug je typ, kterým se označují úkoly spojené s odstraněním nových vzniklých chyb během vývoje.
+
+\subsubsection{Change request}
+\paragraph{} Tímto type se označují úkoly, které jsou spojené se změnou nějaké již implementované funkcionality (feature), nicméně během vývoje došlo ke změnám priorit zákazníka a je potřeba tuto funkčnost upravit/změnit.
+
+\subsubsection{Epic}
+\paragraph{} Epicy jsou velké logické celky agregující jednotlivé, logicky spjaté \textit{issues}.
+V rámci jedné iterace je možné mít naplánováno více Epiců a jeden Epic může být součástí více iterací.
+
+\subsubsection{Obecná pravidla pro vytváření \textit{issues}}
+\begin{itemize}
+    \item Každá \textit{issue} bude obsahovat krátký, nicméně dostatečně deskriptivní popis, čeho konkrétně se týká
+    \item Každá \textit{issue} bude \textbf{jednoznačně identifikovatelná} za pomocí tzv. \textbf{labelů} (specifikováno dále)
+    \item Každá \textit{issue}, která bude v jiné, než \textbf{Backlog} fázi (specifikováno dále) bude \textbf{jednoznačně přiřazena} danému vývojáři (případně testerovi či zákazníkovi, bude-li třeba)
+    \item Každá \textit{issue} bude označena jednou z možností \textbf{,,priority''} (viz dále)
+    \item U každé issue, které je ve fázi ,,In progress'', či dále, by měl být stanoven časový odhad potřebné práce k dokončení.
+
+\end{itemize}
+
+\subsubsection{Možné fáze \textit{issues}}
+\begin{itemize}
+    \item Backlog - analogie s TODO
+    \item In progress
+    \item To test (dev) - testování \textbf{vždy provádí jiný vývojář(tester)!}
+    \item Code review
+    \item To deploy (dev) - funkcionalita implementována, nicméně je nutné funkční verzi \textit{deploynout} na testovací prostředí k umožnění testování
+    \item To test (prod) - otestování na produkčním prostředí
+    \item To deploy (prod) - končí schválením merge requestu do \textbf{masteru}
+    \item Done - Issue hotova, uzavřena
+\end{itemize}
+
+\paragraph{} Poznámka: Ze stavu ,,To deploy (dev)'' lze přejít do stavu ,,Done'', pokud není žádoucí ovlivňovat produkční prostředí (zejména pro malé změny, které jsou součástí většího zásahu do projektu).
+
+
+\paragraph{Typy issues}
+\begin{itemize}
+    \item Epic - velký logický blok, který obaluje novou funkcionalitu nebo velké množství úprav
+    \item Feature - nová funkcionalita (zejména front-endové změny)
+    \item Ticket - jakýkoliv další úkol, který implicitně není novou funkcionalitou, spíše například vytvoření obsáhlejší dokumentace, případně nových tříd či struktur
+    \item Task - základní úkol (ideálně atomický); využití na rozdělení ticketu do menších podúkolů
+    \item Bug - Chyba, kterou je nutno opravit
+    \item Change request - vyžádaná změna od zákazníka/uživatele, která byla již dříve implementována
+\end{itemize}
+
+\paragraph{Typy priority}
+\begin{itemize}
+    \item \textbf{Lowest}
+    \item \textbf{Low} - nevyžaduje velkou pozornost (příkladem mohou být nekritické části aplikace, ,,nice to have(s)''),
+    \item \textbf{Medium} - vyžaduje vyšší míru pozornosti - již by neměly zůstávat nedokončeny v rámci přiřazené iterace (v krajních případech je možné posunout do další),
+    \item \textbf{High} - vysoká priorita vyžadujicí privilegované řešení,
+    \item \textbf{Highest (Severe)} - maximální důležitost - vyžaduje okamžité řešení (například v případech, kdy tyto problémy způsobují nestabilitu či přímo rozbíjí produkční prostředí)
+\end{itemize}
+
+\paragraph{} V rámci jakýchkoliv úkolů \textbf{není potřeba} vést časové údaje a odhady. Tato činnost bude probíhat v systému \textbf{Jira}.
+
+
+\section{Aplikace pro řízení projektů - Jira}
+\paragraph{} Pro účely předmětu ASWI bylo schváleno garantem předmětu doc.Ing. Přemyslem Bradou, MsC., Ph.D. a vedoucími projektu použití nástroje \textbf{Jira} pro správu vývoje a projektu.
+Pro sjednocení vývojového procesu byl vytvořen následující projektový workflow:
+
+\begin{figure}
+    \centering
+    \includegraphics[width=\linewidth]{assets/jira_workflow.png}
+    \caption{Projektový workflow v systému Jira}
+\end{figure}
+
+\paragraph{} Poznámka: Je tedy zřejmé, že tento workflow přesně koreluje s navrženou stukturou repozitáře projektu.
+
+
+% \cite{Example}
+
+
+% \clearpage
+% \section{Závěr}
+
+% \newpage
+% \bibliographystyle{unsrt}
+% {\raggedright\small
+% \bibliography{literatura}
+% }
+
+\end{document}
\ No newline at end of file
diff --git a/doc/internal/smernice/literatura.bib b/doc/internal/smernice/literatura.bib
new file mode 100644
index 000000000..fb12e673a
--- /dev/null
+++ b/doc/internal/smernice/literatura.bib
@@ -0,0 +1,7 @@
+@misc{Example,
+    author = {Autor},
+    key = {},
+    title = {Název},
+    year = {2022},
+    howpublished = "Dostupné na \url{google.com}"
+}
\ No newline at end of file