commit 7892c7283cd8c438540c59aebced4efd0158bb48
Author: qlint <tomas.linhart@aimtec.cz>
Date:   Sun Feb 26 11:25:20 2023 +0100

    new: Add basic demo with Django framework

diff --git a/README.md b/README.md
index 2520c38..e0aef7c 100644
--- a/README.md
+++ b/README.md
@@ -14,6 +14,15 @@ python -m pip install Django
 - API dokumentace ve formátu OpenAPI je dostupná [zde](https://api.retailys.com/v1)
 - Changelog API je [zde](https://api.retailys.com/news)
 
+## Web server
+- Spuštění DEV serveru se provede příkazem
+```
+python manage.py runserver 8080
+```
+- Kde 8080 je číslo portu, na kterém server naslouchá - Pokud se vynechá, default je 8000
+- slouží pouze pro DEV - Nepoužívat v PROD
+- ** Django DEV server má live reload - Když detekuje změnu v souborech, tak to automaticky přenačte **
+
 
 
 ## Getting started
diff --git a/src/db.sqlite3 b/src/db.sqlite3
new file mode 100644
index 0000000..e69de29
diff --git a/src/integration/__init__.py b/src/integration/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/src/integration/__pycache__/__init__.cpython-310.pyc b/src/integration/__pycache__/__init__.cpython-310.pyc
new file mode 100644
index 0000000..3ec3a00
Binary files /dev/null and b/src/integration/__pycache__/__init__.cpython-310.pyc differ
diff --git a/src/integration/__pycache__/urls.cpython-310.pyc b/src/integration/__pycache__/urls.cpython-310.pyc
new file mode 100644
index 0000000..bc38824
Binary files /dev/null and b/src/integration/__pycache__/urls.cpython-310.pyc differ
diff --git a/src/integration/__pycache__/views.cpython-310.pyc b/src/integration/__pycache__/views.cpython-310.pyc
new file mode 100644
index 0000000..59f836a
Binary files /dev/null and b/src/integration/__pycache__/views.cpython-310.pyc differ
diff --git a/src/integration/admin.py b/src/integration/admin.py
new file mode 100644
index 0000000..8c38f3f
--- /dev/null
+++ b/src/integration/admin.py
@@ -0,0 +1,3 @@
+from django.contrib import admin
+
+# Register your models here.
diff --git a/src/integration/apps.py b/src/integration/apps.py
new file mode 100644
index 0000000..44b63a0
--- /dev/null
+++ b/src/integration/apps.py
@@ -0,0 +1,6 @@
+from django.apps import AppConfig
+
+
+class IntegrationConfig(AppConfig):
+    default_auto_field = 'django.db.models.BigAutoField'
+    name = 'integration'
diff --git a/src/integration/migrations/__init__.py b/src/integration/migrations/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/src/integration/models.py b/src/integration/models.py
new file mode 100644
index 0000000..71a8362
--- /dev/null
+++ b/src/integration/models.py
@@ -0,0 +1,3 @@
+from django.db import models
+
+# Create your models here.
diff --git a/src/integration/tests.py b/src/integration/tests.py
new file mode 100644
index 0000000..7ce503c
--- /dev/null
+++ b/src/integration/tests.py
@@ -0,0 +1,3 @@
+from django.test import TestCase
+
+# Create your tests here.
diff --git a/src/integration/urls.py b/src/integration/urls.py
new file mode 100644
index 0000000..88a9cac
--- /dev/null
+++ b/src/integration/urls.py
@@ -0,0 +1,7 @@
+from django.urls import path
+
+from . import views
+
+urlpatterns = [
+    path('', views.index, name='index'),
+]
diff --git a/src/integration/views.py b/src/integration/views.py
new file mode 100644
index 0000000..6cdf251
--- /dev/null
+++ b/src/integration/views.py
@@ -0,0 +1,6 @@
+from django.shortcuts import render
+from django.http import HttpResponse
+
+# Create your views here.
+def index(request):
+    return HttpResponse("Hello, world. You're at the integration index.")
\ No newline at end of file
diff --git a/src/manage.py b/src/manage.py
new file mode 100644
index 0000000..c66e1dd
--- /dev/null
+++ b/src/manage.py
@@ -0,0 +1,22 @@
+#!/usr/bin/env python
+"""Django's command-line utility for administrative tasks."""
+import os
+import sys
+
+
+def main():
+    """Run administrative tasks."""
+    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'retailys_allegro_integration.settings')
+    try:
+        from django.core.management import execute_from_command_line
+    except ImportError as exc:
+        raise ImportError(
+            "Couldn't import Django. Are you sure it's installed and "
+            "available on your PYTHONPATH environment variable? Did you "
+            "forget to activate a virtual environment?"
+        ) from exc
+    execute_from_command_line(sys.argv)
+
+
+if __name__ == '__main__':
+    main()
diff --git a/src/retailys_allegro_integration/__init__.py b/src/retailys_allegro_integration/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/src/retailys_allegro_integration/__pycache__/__init__.cpython-310.pyc b/src/retailys_allegro_integration/__pycache__/__init__.cpython-310.pyc
new file mode 100644
index 0000000..1319dae
Binary files /dev/null and b/src/retailys_allegro_integration/__pycache__/__init__.cpython-310.pyc differ
diff --git a/src/retailys_allegro_integration/__pycache__/settings.cpython-310.pyc b/src/retailys_allegro_integration/__pycache__/settings.cpython-310.pyc
new file mode 100644
index 0000000..6b012ef
Binary files /dev/null and b/src/retailys_allegro_integration/__pycache__/settings.cpython-310.pyc differ
diff --git a/src/retailys_allegro_integration/__pycache__/urls.cpython-310.pyc b/src/retailys_allegro_integration/__pycache__/urls.cpython-310.pyc
new file mode 100644
index 0000000..c44ccc6
Binary files /dev/null and b/src/retailys_allegro_integration/__pycache__/urls.cpython-310.pyc differ
diff --git a/src/retailys_allegro_integration/__pycache__/wsgi.cpython-310.pyc b/src/retailys_allegro_integration/__pycache__/wsgi.cpython-310.pyc
new file mode 100644
index 0000000..dd7487b
Binary files /dev/null and b/src/retailys_allegro_integration/__pycache__/wsgi.cpython-310.pyc differ
diff --git a/src/retailys_allegro_integration/asgi.py b/src/retailys_allegro_integration/asgi.py
new file mode 100644
index 0000000..970a463
--- /dev/null
+++ b/src/retailys_allegro_integration/asgi.py
@@ -0,0 +1,16 @@
+"""
+ASGI config for retailys_allegro_integration project.
+
+It exposes the ASGI callable as a module-level variable named ``application``.
+
+For more information on this file, see
+https://docs.djangoproject.com/en/4.1/howto/deployment/asgi/
+"""
+
+import os
+
+from django.core.asgi import get_asgi_application
+
+os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'retailys_allegro_integration.settings')
+
+application = get_asgi_application()
diff --git a/src/retailys_allegro_integration/settings.py b/src/retailys_allegro_integration/settings.py
new file mode 100644
index 0000000..9a46dac
--- /dev/null
+++ b/src/retailys_allegro_integration/settings.py
@@ -0,0 +1,123 @@
+"""
+Django settings for retailys_allegro_integration project.
+
+Generated by 'django-admin startproject' using Django 4.1.7.
+
+For more information on this file, see
+https://docs.djangoproject.com/en/4.1/topics/settings/
+
+For the full list of settings and their values, see
+https://docs.djangoproject.com/en/4.1/ref/settings/
+"""
+
+from pathlib import Path
+
+# Build paths inside the project like this: BASE_DIR / 'subdir'.
+BASE_DIR = Path(__file__).resolve().parent.parent
+
+
+# Quick-start development settings - unsuitable for production
+# See https://docs.djangoproject.com/en/4.1/howto/deployment/checklist/
+
+# SECURITY WARNING: keep the secret key used in production secret!
+SECRET_KEY = 'django-insecure-x9nhun&*94*hx_-cw%kir884=#783o*x)p)=r$@pexm4_u4y3&'
+
+# SECURITY WARNING: don't run with debug turned on in production!
+DEBUG = True
+
+ALLOWED_HOSTS = []
+
+
+# Application definition
+
+INSTALLED_APPS = [
+    'django.contrib.admin',
+    'django.contrib.auth',
+    'django.contrib.contenttypes',
+    'django.contrib.sessions',
+    'django.contrib.messages',
+    'django.contrib.staticfiles',
+]
+
+MIDDLEWARE = [
+    'django.middleware.security.SecurityMiddleware',
+    'django.contrib.sessions.middleware.SessionMiddleware',
+    'django.middleware.common.CommonMiddleware',
+    'django.middleware.csrf.CsrfViewMiddleware',
+    'django.contrib.auth.middleware.AuthenticationMiddleware',
+    'django.contrib.messages.middleware.MessageMiddleware',
+    'django.middleware.clickjacking.XFrameOptionsMiddleware',
+]
+
+ROOT_URLCONF = 'retailys_allegro_integration.urls'
+
+TEMPLATES = [
+    {
+        'BACKEND': 'django.template.backends.django.DjangoTemplates',
+        'DIRS': [],
+        'APP_DIRS': True,
+        'OPTIONS': {
+            'context_processors': [
+                'django.template.context_processors.debug',
+                'django.template.context_processors.request',
+                'django.contrib.auth.context_processors.auth',
+                'django.contrib.messages.context_processors.messages',
+            ],
+        },
+    },
+]
+
+WSGI_APPLICATION = 'retailys_allegro_integration.wsgi.application'
+
+
+# Database
+# https://docs.djangoproject.com/en/4.1/ref/settings/#databases
+
+DATABASES = {
+    'default': {
+        'ENGINE': 'django.db.backends.sqlite3',
+        'NAME': BASE_DIR / 'db.sqlite3',
+    }
+}
+
+
+# Password validation
+# https://docs.djangoproject.com/en/4.1/ref/settings/#auth-password-validators
+
+AUTH_PASSWORD_VALIDATORS = [
+    {
+        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
+    },
+    {
+        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
+    },
+    {
+        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
+    },
+    {
+        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
+    },
+]
+
+
+# Internationalization
+# https://docs.djangoproject.com/en/4.1/topics/i18n/
+
+LANGUAGE_CODE = 'en-us'
+
+TIME_ZONE = 'UTC'
+
+USE_I18N = True
+
+USE_TZ = True
+
+
+# Static files (CSS, JavaScript, Images)
+# https://docs.djangoproject.com/en/4.1/howto/static-files/
+
+STATIC_URL = 'static/'
+
+# Default primary key field type
+# https://docs.djangoproject.com/en/4.1/ref/settings/#default-auto-field
+
+DEFAULT_AUTO_FIELD = 'django.db.models.BigAutoField'
diff --git a/src/retailys_allegro_integration/urls.py b/src/retailys_allegro_integration/urls.py
new file mode 100644
index 0000000..63822a2
--- /dev/null
+++ b/src/retailys_allegro_integration/urls.py
@@ -0,0 +1,22 @@
+"""retailys_allegro_integration URL Configuration
+
+The `urlpatterns` list routes URLs to views. For more information please see:
+    https://docs.djangoproject.com/en/4.1/topics/http/urls/
+Examples:
+Function views
+    1. Add an import:  from my_app import views
+    2. Add a URL to urlpatterns:  path('', views.home, name='home')
+Class-based views
+    1. Add an import:  from other_app.views import Home
+    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
+Including another URLconf
+    1. Import the include() function: from django.urls import include, path
+    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
+"""
+from django.contrib import admin
+from django.urls import include, path
+
+urlpatterns = [
+    path('integration/', include('integration.urls')),
+    path('admin/', admin.site.urls),
+]
diff --git a/src/retailys_allegro_integration/wsgi.py b/src/retailys_allegro_integration/wsgi.py
new file mode 100644
index 0000000..bf7733c
--- /dev/null
+++ b/src/retailys_allegro_integration/wsgi.py
@@ -0,0 +1,16 @@
+"""
+WSGI config for retailys_allegro_integration project.
+
+It exposes the WSGI callable as a module-level variable named ``application``.
+
+For more information on this file, see
+https://docs.djangoproject.com/en/4.1/howto/deployment/wsgi/
+"""
+
+import os
+
+from django.core.wsgi import get_wsgi_application
+
+os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'retailys_allegro_integration.settings')
+
+application = get_wsgi_application()