commit 006d5d560370410a630531b8090908dd7df0bdca
Author: Michal Schwob <michal.schwob@seznam.cz>
Date:   Fri Nov 3 16:16:53 2023 +0100

    NEW: new colors added
    re #10847

diff --git a/App.tsx b/App.tsx
index c1dfe28..d394fe8 100644
--- a/App.tsx
+++ b/App.tsx
@@ -1,16 +1,18 @@
 import 'react-native-gesture-handler'
-import { NativeBaseProvider } from "native-base"
-import { Provider } from "react-redux"
-import { store, Persistor } from "./src/stores/store"
+import {NativeBaseProvider} from "native-base"
+import {Provider} from "react-redux"
+import {store, Persistor} from "./src/stores/store"
 import Navigation from "./src/pages/Navigation"
-import { nativeBaseTheme } from "./src/theme/nativeBaseTheme"
-import { PersistGate } from 'redux-persist/integration/react'
+import {nativeBaseTheme} from "./src/theme/nativeBaseTheme"
+import {PersistGate} from 'redux-persist/integration/react'
+import {StatusBar} from "react-native"
 
 export default function App() {
     return (
         <Provider store={ store }>
-            <PersistGate persistor={Persistor}>
+            <PersistGate persistor={ Persistor }>
                 <NativeBaseProvider theme={ nativeBaseTheme }>
+                    <StatusBar barStyle="dark-content"/>
                     <Navigation/>
                 </NativeBaseProvider>
             </PersistGate>
diff --git a/app.json b/app.json
index ede7d53..169ea75 100644
--- a/app.json
+++ b/app.json
@@ -5,11 +5,11 @@
     "version": "1.0.0",
     "orientation": "portrait",
     "icon": "./assets/icon.png",
-    "userInterfaceStyle": "light",
+    "userInterfaceStyle": "dark",
     "splash": {
       "image": "./assets/Rudolf-Aachen-large.png",
       "resizeMode": "contain",
-      "backgroundColor": "#E3A400"
+      "backgroundColor": "#654B07"
     },
     "assetBundlePatterns": [
       "**/*"
@@ -20,7 +20,7 @@
     "android": {
       "adaptiveIcon": {
         "foregroundImage": "./assets/icon.png",
-        "backgroundColor": "#E3A400"
+        "backgroundColor": "#654B07"
       },
       "package": "cz.zcu.kiv.tsp.inventaria_rudolphina"
     },
diff --git a/src/components/loading/LoadingBox.tsx b/src/components/loading/LoadingBox.tsx
index c64fdd9..d227412 100644
--- a/src/components/loading/LoadingBox.tsx
+++ b/src/components/loading/LoadingBox.tsx
@@ -13,7 +13,7 @@ const LoadingBox = (props: LoadingBoxProps) => {
         <Box width="100%" marginTop="20" height="8">
             <HStack alignItems="center" flex="1" justifyContent="center">
                 <Spinner />
-                <Heading color="primary.400" fontSize="md">
+                <Heading color="primary.500" fontSize="md">
                     {text}
                 </Heading>
             </HStack>
diff --git a/src/components/search/MultiSelect.tsx b/src/components/search/MultiSelect.tsx
index 61f2bac..5c1eb50 100644
--- a/src/components/search/MultiSelect.tsx
+++ b/src/components/search/MultiSelect.tsx
@@ -154,10 +154,10 @@ const MultiSelect = (props: MultiSelectProps) => {
                                 data={ filteredData }
                                 renderItem={ ({item}) => (
                                     <Actionsheet.Item
-                                        _pressed={ {bg: "primary.100"} }
+                                        _pressed={ {bg: "secondary.500"} }
                                         onPress={ () => updateSelected(item.index) }
                                         key={ item.value }
-                                        backgroundColor={ isSelected[item.index] ? "primary.100" : {} }
+                                        backgroundColor={ isSelected[item.index] ? "secondary.500" : {} }
                                     >
                                         { item.label }
                                     </Actionsheet.Item>
@@ -184,7 +184,7 @@ const MultiSelect = (props: MultiSelectProps) => {
                                 </Button>
                                 <Button
                                     onPress={ onDone }
-                                    colorScheme={ "primary" }
+                                    colorScheme={ "secondary" }
                                     borderRadius={ 10 }
                                     variant={ "subtle" }
                                     startIcon={
diff --git a/src/components/search/SearchForm.tsx b/src/components/search/SearchForm.tsx
index 54e015b..9fb80c2 100644
--- a/src/components/search/SearchForm.tsx
+++ b/src/components/search/SearchForm.tsx
@@ -144,7 +144,8 @@ const SearchForm = (props: SearchFormProps) => {
             <HStack justifyContent={"space-between"}>
                 <Button
                     onPress={ () => setIsFilterOpen(!isFilterOpen) }
-                    variant="outline"
+                    variant={"solid"}
+                    colorScheme={ "secondary" }
                     endIcon={
                         <>
                             { isFilterOpen ?
@@ -159,7 +160,9 @@ const SearchForm = (props: SearchFormProps) => {
                     p={ 2 }
 
                 >
+                    <Text color={"primary.500"}>
                     Filter
+                    </Text>
                 </Button>
                 { !isFilterOpen && (
                     <Button
@@ -167,7 +170,6 @@ const SearchForm = (props: SearchFormProps) => {
                         borderRadius={ 10 }
                         onPress={ () => searchSubmit() }
                         colorScheme="primary"
-                        background={ "primary.500" }
                         variant="solid"
                         mt={2}
                         p={2}
@@ -270,16 +272,15 @@ const SearchForm = (props: SearchFormProps) => {
                         <Button
                             borderRadius={ 10 }
                             startIcon={
-                                <CloseIcon size="xs"/>
+                                <CloseIcon size="xs" color={"primary.500"}/>
                             }
                             onPress={ clearForm }
-                            variant="outline"
-                            color="primary.500"
-                            borderColor="primary.500"
+                            colorScheme={"secondary"}
+                            variant="solid"
                             mr={ 2 }
                             size={ "sm" }
                         >
-                            Reset
+                            <Text color={"primary.500"}>Reset</Text>
                         </Button>
                         <Button
                             isLoading={ loading }
@@ -290,7 +291,7 @@ const SearchForm = (props: SearchFormProps) => {
                             variant="solid"
                             size={ "sm" }
                         >
-                            Search
+                            <Text color={"white"}>Search</Text>
                         </Button>
                     </Box>
                 </>
diff --git a/src/pages/HomePage.tsx b/src/pages/HomePage.tsx
index 011a914..e54ad0d 100644
--- a/src/pages/HomePage.tsx
+++ b/src/pages/HomePage.tsx
@@ -1,4 +1,4 @@
-import { Center, Image, Pressable, ScrollView, Text, useToast } from "native-base"
+import {Box, Center, Image, Pressable, ScrollView, Text, useToast} from "native-base"
 import { useDispatch, useSelector } from "react-redux"
 import { AppDispatch, RootState } from "../stores/store"
 import { useContext, useEffect, useState } from "react"
@@ -46,7 +46,7 @@ const HomePage = ({navigation}: DrawerScreenProps<RootStackParamList, 'Home'>) =
 
 
     return (
-        <Center m={2} mb={10}>
+        <Center m={2} mx={4} mb={20}>
             { loading ? (
                 <LoadingBox text={ "Loading..." }/>
             ) : (
@@ -56,25 +56,28 @@ const HomePage = ({navigation}: DrawerScreenProps<RootStackParamList, 'Home'>) =
                     <Image
                         source={ {uri: HOME_PAGE_IMG_URL} }
                         w={"100%"} h={ 200 }
-                        resizeMode={"contain"}
                         alignSelf={ "center" }
                         alt={ "Rudolf-Aachen" }
+                        rounded={ "lg" }
+                        my={ 2 }
                     />
                     { data && data.length > 0 && (
-                        <Text
-                            mx={ 2 }
-                            fontSize={ "sm" }
-                            lineHeight={"sm"}
-                            color={"gray.500"}
-                            textAlign={"justify"}
-                        >
-                            {data[0]["general"].text}
+                        <Box m={2} p={ 3 } bg={"primary.100"} rounded={"lg"}>
+                            <Text
+                                fontSize={ "sm" }
+                                lineHeight={"sm"}
+                                textAlign={"justify"}
+                            >
+                                {data[0]["general"].text}
                         </Text>
+                        </Box>
                     )}
                         <Text
                             mt={ 2 }
+                            ml={ 2 }
+                            mb={ -2 }
                             bold
-                            fontSize={"xl"}
+                            fontSize={"2xl"}
                             color={"primary.500"}
                         >
                             Inventories
@@ -83,15 +86,15 @@ const HomePage = ({navigation}: DrawerScreenProps<RootStackParamList, 'Home'>) =
                         <Pressable
                             onPress={() => navigation.navigate("Search", {inventoryId: Object.keys(item)[0]}) }
                             key={ Object.values(item)[0].label }
-                            rounded={ "md" }
-                            borderWidth={ 1 }
-                            borderColor={ "gray.300" }
+                            rounded={ "lg" }
+                            backgroundColor={ "primary.100" }
                             m = { 2 }
                             p={ 3 }
                         >
                             <Text
                                 bold
                                 fontSize={ "md" }
+                                color={"primary.500"}
                                 mb={1}
                             >
                                 { Object.values(item)[0].label }
@@ -99,7 +102,6 @@ const HomePage = ({navigation}: DrawerScreenProps<RootStackParamList, 'Home'>) =
                             <Text
                                 fontSize={ "sm" }
                                 lineHeight={"sm"}
-                                color={"gray.500"}
                                 textAlign={"justify"}
                             >
                                 { Object.values(item)[0].text }
diff --git a/src/pages/Navigation.tsx b/src/pages/Navigation.tsx
index 004b9d1..36cb0e7 100644
--- a/src/pages/Navigation.tsx
+++ b/src/pages/Navigation.tsx
@@ -31,12 +31,13 @@ const Navigation = () => {
             <Stack.Navigator initialRouteName="Home"
                              screenOptions={ ({ navigation }) => ( {
                                  headerStyle: {
-                                     backgroundColor: nativeBaseTheme.colors.primary[800],
+                                     backgroundColor: nativeBaseTheme.colors.primary[50],
                                  },
-                                 headerTintColor: '#fff',
                                  headerTitleStyle: {
                                      fontWeight: 'bold',
+                                     color: nativeBaseTheme.colors.primary[500],
                                  },
+                                 headerTintColor: nativeBaseTheme.colors.primary[500],
                                  headerRight: () => (
                                      <HStack space={ 0 } alignItems="end" marginRight={-3}>
                                          <IconButton
@@ -71,6 +72,9 @@ const Navigation = () => {
                                          />
                                      </HStack>
                                  ),
+                                 contentStyle: {
+                                     backgroundColor: nativeBaseTheme.colors.primary[50],
+                                 },
                              } ) }
             >
                 { loggedIn ? (
diff --git a/src/theme/nativeBaseTheme.ts b/src/theme/nativeBaseTheme.ts
index 8769c43..50f33de 100644
--- a/src/theme/nativeBaseTheme.ts
+++ b/src/theme/nativeBaseTheme.ts
@@ -3,18 +3,30 @@ import { extendTheme } from "native-base"
 export const nativeBaseTheme = extendTheme({
     colors: {
         primary: {
-            50: '#FFF8E1',
-            100: '#FFE082',
-            200: '#FFD54F',
-            300: '#FFCA28',
-            400: '#FFC107',
-            500: '#E3A400',
-            600: '#C88700',
-            700: '#AD6F00',
-            800: '#8B5800',
-            900: '#5D3A00',
+            50: '#FFFFFF',
+            100: '#F5F4F1',
+            200: '#654B07',
+            300: '#654B07',
+            400: '#654B07',
+            500: '#654B07',
+            600: '#654B07',
+            700: '#654B07',
+            800: '#654B07',
+            900: '#654B07',
         },
-        buttonBackground: 'primary.500'
+        secondary: {
+            50: '#F4DFAB',
+            100: '#F4DFAB',
+            200: '#F4DFAB',
+            300: '#F4DFAB',
+            400: '#F4DFAB',
+            500: '#F4DFAB',
+            600: '#F4DFAB',
+            700: '#F4DFAB',
+            800: '#F4DFAB',
+            900: '#654B07',
 
+        },
+        buttonBackground: 'secondary.500'
     }
 })
\ No newline at end of file