commit 1abbf06f6b232eca608ca6460495d523d59b35c4
Author: František Kaiser <fkaiser@students.zcu.cz>
Date:   Wed Dec 13 11:59:20 2023 +0000

    Merge dev into PlanView

diff --git a/src/components/item/ItemView.tsx b/src/components/item/ItemView.tsx
index 234ca65..aaf0b64 100644
--- a/src/components/item/ItemView.tsx
+++ b/src/components/item/ItemView.tsx
@@ -107,7 +107,7 @@ const ItemDetail = (props: ItemDetailProps) => {
                                                 setSelectedImage(selectedImage - 1);
                                             }
                                         }} leftIcon={<ChevronLeftIcon size="lg" />} />
-                                        <Image size={Dimensions.get('window').width - 110} alt="image" source={{ uri: IMAGE_URL + "/" + item.images[selectedImage].imageUrl }} />
+                                        <Image size={Dimensions.get('window').width - 110} alt="image" source={{ uri: IMAGE_URL + "/" + item.images[selectedImage].imageUrl }} resizeMode={"contain"} />
                                         <Button variant="ghost" size="lg" onPress={() => {
                                             if (item.images && selectedImage + 1 < item.images.length) {
                                                 setSelectedImage(selectedImage + 1);
@@ -122,6 +122,7 @@ const ItemDetail = (props: ItemDetailProps) => {
                                                 <Image marginLeft={2.5} size={90} alt="image" source={{ uri: IMAGE_URL + "/" + image.imageUrl }}
                                                     borderColor={selectedImage == index ? "#1782FF" : undefined}
                                                     borderWidth={3}
+                                                    resizeMode={"contain"}
                                                 />
                                             </Pressable>
 
diff --git a/src/components/navigation/MenuComponent.tsx b/src/components/navigation/MenuComponent.tsx
index b4fd185..c7f77f4 100644
--- a/src/components/navigation/MenuComponent.tsx
+++ b/src/components/navigation/MenuComponent.tsx
@@ -1,77 +1,108 @@
-import {HamburgerIcon, Pressable, Menu, Text, Icon, ChevronRightIcon, HStack} from "native-base"
+import {HamburgerIcon, Pressable, Menu, Text, Icon, ChevronRightIcon, HStack, VStack} from "native-base"
 import {useRoute} from "@react-navigation/native"
+import {Dimensions} from "react-native"
+import React from "react"
+import {AntDesign} from "@expo/vector-icons"
 
 type MenuComponentProps = {
     navigation: any
 }
 
+const screenWidth = Dimensions.get('window').width; // Get full screen width
+
+
 const MenuComponent = (props: MenuComponentProps) => {
     const route = useRoute().name
 
     return (
         <>
-            <Menu w="190" color={"primary.500"} trigger={ triggerProps => {
+            <Menu w={screenWidth} mt={2} shadow={"0"} color={"primary.500"} backgroundColor={"white"} trigger={ triggerProps => {
                 return <Pressable accessibilityLabel="More options menu" { ...triggerProps }>
-                    <HamburgerIcon color={"primary.500"}/>
+                    <HamburgerIcon color={"primary.500"} size={"lg"}/>
                 </Pressable>
 
             } }>
-                <Menu.Item
-                    onPress={ () => props.navigation.navigate("Home") }
-                    _text={ { color: "primary.500" } }
-                    _pressed={ { bg: "secondary.500" } }
-                    bg={ route === "Home" ? "secondary.500" : "white" }
-                >
-                    <HStack justifyContent={ "space-between" } flex={ 1 }>
-                        <Text>Home</Text>
-                        <ChevronRightIcon/>
-                    </HStack>
-                </Menu.Item>
-                <Menu.Item
-                    onPress={ () => props.navigation.navigate("Notes") }
-                    _text={ { color: "primary.500" } }
-                    _pressed={ { bg: "secondary.500" } }
-                    bg={ route === "Notes" ? "secondary.500" : "white" }
-                >
-                    <HStack justifyContent={ "space-between" } flex={ 1 }>
-                        <Text>Notes</Text>
-                        <ChevronRightIcon/>
-                    </HStack>
-                </Menu.Item>
-                <Menu.Item
-                    onPress={ () => props.navigation.navigate("Search", { inventoryId: null }) }
-                    _text={ { color: "primary.500" } }
-                    _pressed={ { bg: "secondary.500" } }
-                    bg={ route === "Search" ? "secondary.500" : "white" }
-                >
-                    <HStack justifyContent={ "space-between" } flex={ 1 }>
-                        <Text>Search</Text>
-                        <ChevronRightIcon/>
-                    </HStack>
-                </Menu.Item>
-                <Menu.Item
-                    onPress={ () => props.navigation.navigate("Plan", { placeId: undefined, roomId: undefined }) }
-                    _text={ { color: "primary.500" } }
-                    _pressed={ { bg: "secondary.500" } }
-                    bg={ route === "Plan" ? "secondary.500" : "white" }
-                >
-                    <HStack justifyContent={ "space-between" } flex={ 1 }>
-                        <Text>Plan</Text>
-                        <ChevronRightIcon/>
-                    </HStack>
-                </Menu.Item>
-                <Menu.Item
-                    onPress={ () => props.navigation.navigate("Logout") }
-                    _text={ { color: "primary.500" } }
-                    _pressed={ { bg: "secondary.500" } }
-                    justifyContent={ "space-between" }
-                    flex={ 1 }
-                >
-                    <HStack justifyContent={ "space-between" } flex={ 1 }>
-                        <Text>Logout</Text>
-                        <ChevronRightIcon/>
-                    </HStack>
-                </Menu.Item>
+                <VStack width={"full"} >
+                    <Menu.Item
+                        onPress={ () => props.navigation.navigate("Home") }
+                        _text={ { color: "primary.500" } }
+                        _pressed={ { bg: "secondary.500" } }
+                        bg={ route === "Home" ? "secondary.500" : "white" }
+                        rounded={"3xl"}
+                        mx={5}
+                    >
+                        <HStack  justifyContent="space-between" alignItems="center" w="100%">
+                            <HStack alignItems="center" space={2}>
+                                <Icon as={<AntDesign name="home"  />} color="primary.500" size={"lg"} />
+                                <Text fontSize={"lg"} color={"primary.500"} fontWeight={"bold"}>Home</Text>
+                            </HStack>
+                            <ChevronRightIcon color="primary.500" />
+                        </HStack>
+                    </Menu.Item>
+                    <Menu.Item
+                        onPress={ () => props.navigation.navigate("Notes") }
+                        _text={ { color: "primary.500" } }
+                        _pressed={ { bg: "secondary.500" } }
+                        bg={ route === "Notes" ? "secondary.500" : "white" }
+                        rounded={"3xl"}
+                        mx={5}
+                    >
+                        <HStack justifyContent="space-between" alignItems="center" w="100%">
+                            <HStack alignItems="center" space={2}>
+                                <Icon as={<AntDesign name="profile" />} color="primary.500" size={"lg"}/>
+                                <Text fontSize={"lg"} color={"primary.500"} fontWeight={"bold"}>Notes</Text>
+                            </HStack>
+                            <ChevronRightIcon color="primary.500" />
+                        </HStack>
+                    </Menu.Item>
+                    <Menu.Item
+                        onPress={ () => props.navigation.navigate("Search", { inventoryId: null }) }
+                        _text={ { color: "primary.500" } }
+                        _pressed={ { bg: "secondary.500" } }
+                        bg={ route === "Search" ? "secondary.500" : "white" }
+                        rounded={"3xl"}
+                        mx={5}
+                    >
+                        <HStack justifyContent="space-between" alignItems="center" w="100%">
+                            <HStack alignItems="center" space={2}>
+                                <Icon as={<AntDesign name="search1"  />} color="primary.500" size={"lg"}/>
+                                <Text fontSize={"lg"} color={"primary.500"} fontWeight={"bold"}>Search</Text>
+                            </HStack>
+                            <ChevronRightIcon color="primary.500" />
+                        </HStack>
+                    </Menu.Item>
+                    <Menu.Item
+                        onPress={ () => props.navigation.navigate("Plan", { placeId: undefined, roomId: undefined }) }
+                        _text={ { color: "primary.500" } }
+                        _pressed={ { bg: "secondary.500" } }
+                        bg={ route === "Plan" ? "secondary.500" : "white" }
+                        rounded={"3xl"}
+                        mx={5}
+                    >
+                        <HStack rounded={"lg"} justifyContent="space-between" alignItems="center" w="100%">
+                            <HStack alignItems="center" space={2}>
+                                <Icon as={<AntDesign name="appstore-o" />} color="primary.500" size={"lg"} />
+                                <Text fontSize={"lg"} color={"primary.500"} fontWeight={"bold"}>Plan</Text>
+                            </HStack>
+                            <ChevronRightIcon color="primary.500" />
+                        </HStack>
+                    </Menu.Item>
+                    <Menu.Item
+                        onPress={ () => props.navigation.navigate("Logout") }
+                        _text={ { color: "primary.500" } }
+                        _pressed={ { bg: "secondary.500" } }
+                        rounded={"3xl"}
+                        mx={5}
+                    >
+                        <HStack justifyContent="space-between" alignItems="center" w="100%">
+                            <HStack alignItems="center" space={2}>
+                                <Icon as={<AntDesign name="logout" />} color="primary.500" size={"lg"} />
+                                <Text fontSize={"lg"} color={"primary.500"} fontWeight={"bold"}>Logout</Text>
+                            </HStack>
+                            <ChevronRightIcon color="primary.500" />
+                        </HStack>
+                    </Menu.Item>
+                </VStack>
 
             </Menu>
         </>
diff --git a/src/pages/PlanViewPage.tsx b/src/pages/PlanViewPage.tsx
index a20a26f..532d248 100644
--- a/src/pages/PlanViewPage.tsx
+++ b/src/pages/PlanViewPage.tsx
@@ -22,7 +22,6 @@ const PlanViewPage = ({ route, navigation }: DrawerScreenProps<RootStackParamLis
   // Route: set selected room / place from 
   useEffect(() => {
     console.log("dispatching get floor list")
-    // dispatch(login({username: "Viktorie", password: "Golem123."}))
     dispatch(getFloorList())
   }, [])
 