commit 5c86e446d3d58f66d7362f05478e7ab3aab52c7f
Author: mschwob <mchwob@students.zcu.cz>
Date:   Sun Apr 2 10:38:30 2023 +0200

    Login page base

diff --git a/App.tsx b/App.tsx
index 84550bb..9ebaa76 100644
--- a/App.tsx
+++ b/App.tsx
@@ -1,14 +1,13 @@
 import { StatusBar } from 'expo-status-bar'
 import { StyleSheet, Text, View } from 'react-native'
+import { NativeBaseProvider, Box } from "native-base"
 import LoginPage from './src/pages/LoginPage'
 
 export default function App() {
   return (
-    <View style={styles.container}>
-      <Text>Open up App.js to start working on your app!</Text>
-      <StatusBar style="auto" />
-      <LoginPage />
-    </View>
+      <NativeBaseProvider>
+        <LoginPage />
+      </NativeBaseProvider>
   );
 }
 
diff --git a/package.json b/package.json
index 5465240..5d1b977 100644
--- a/package.json
+++ b/package.json
@@ -9,11 +9,16 @@
     "web": "expo start --web"
   },
   "dependencies": {
+    "@reduxjs/toolkit": "^1.9.3",
     "axios": "^1.3.4",
     "expo": "~48.0.9",
     "expo-status-bar": "~1.4.4",
+    "native-base": "^3.4.28",
     "react": "18.2.0",
     "react-native": "0.71.4",
+    "react-native-safe-area-context": "4.5.0",
+    "react-native-svg": "13.4.0",
+    "redux": "^4.2.1",
     "typescript": "^4.9.4"
   },
   "devDependencies": {
diff --git a/src/pages/LoginPage.tsx b/src/pages/LoginPage.tsx
index 2114949..d05b073 100644
--- a/src/pages/LoginPage.tsx
+++ b/src/pages/LoginPage.tsx
@@ -1,24 +1,81 @@
-import {Fragment} from "react"
-import { Button } from "react-native/Libraries/Components/Button"
-import { Text } from "react-native/Libraries/Components/Text"
+import { Center, Box, Heading, VStack, FormControl, Link, Input, Button, HStack, Text } from "native-base"
 import { axiosInstance } from "../api/api"
 
 let text: number = 199
 const fakeLogin = async () => {
+    text = 101
+    console.log("zmacknuto")
     axiosInstance.post(
-        '/api/login',
+        '/api/login/',
         {"username": "viktorie", "password": "Golem123."}
     ).then((response) => {
         text = response.status
+        console.log(response)
+    })
+}
+
+const fakeRequest = async () => {
+    text = 101
+    console.log("request")
+    axiosInstance.get(
+        '/api/users'
+    ).then((response) => {
+        text = response.status
+        console.log(response)
     })
 }
 const LoginPage = () => {
     return (
-        <Fragment>
-            <Button onPress={fakeLogin} title="Login" color="#841584" accessibilityLabel="Press to login"/>
-            <Text>{text}</Text>
-        </Fragment>
-)
+        <Center w="100%">
+            <Box safeArea p="2" py="8" w="90%" maxW="290">
+                <Heading size="lg" fontWeight="600" color="coolGray.800" _dark={{
+                    color: "warmGray.50"
+                }}>
+                    Welcome
+                </Heading>
+                <Heading mt="1" _dark={{
+                    color: "warmGray.200"
+                }} color="coolGray.600" fontWeight="medium" size="xs">
+                    Sign in to continue!
+                </Heading>
+
+                <VStack space={3} mt="5">
+                    <FormControl>
+                        <FormControl.Label>Email ID</FormControl.Label>
+                        <Input />
+                    </FormControl>
+                    <FormControl>
+                        <FormControl.Label>Password</FormControl.Label>
+                        <Input type="password" />
+                        <Link _text={{
+                            fontSize: "xs",
+                            fontWeight: "500",
+                            color: "indigo.500"
+                        }} alignSelf="flex-end" mt="1">
+                            Forget Password?
+                        </Link>
+                    </FormControl>
+                    <Button mt="2" colorScheme="indigo">
+                        Sign in
+                    </Button>
+                    <HStack mt="6" justifyContent="center">
+                        <Text fontSize="sm" color="coolGray.600" _dark={{
+                            color: "warmGray.200"
+                        }}>
+                            I'm a new user.{" "}
+                        </Text>
+                        <Link _text={{
+                            color: "indigo.500",
+                            fontWeight: "medium",
+                            fontSize: "sm"
+                        }} href="#">
+                            Sign Up
+                        </Link>
+                    </HStack>
+                </VStack>
+            </Box>
+        </Center>
+    )
 }
 
 export default LoginPage
\ No newline at end of file