commit 7bfa15428308863d85102f44b14d87bf18e5d89a
Author: Michal Schwob <michal.schwob@seznam.cz>
Date:   Sun Oct 15 18:13:15 2023 +0200

    Added menu icons for pages for stack navigation
    re #10820

diff --git a/src/pages/Navigation.tsx b/src/pages/Navigation.tsx
index 60588bc..004b9d1 100644
--- a/src/pages/Navigation.tsx
+++ b/src/pages/Navigation.tsx
@@ -1,6 +1,6 @@
 import {createNativeStackNavigator} from "@react-navigation/native-stack"
 import {NavigationContainer} from "@react-navigation/native"
-import {IconButton, Stack} from "native-base"
+import {HStack, IconButton, Stack, VStack} from "native-base"
 import {AntDesign} from "@expo/vector-icons"
 import {createDrawerNavigator} from "@react-navigation/drawer"
 import {useSelector} from "react-redux"
@@ -29,66 +29,88 @@ const Navigation = () => {
     return (
         <NavigationContainer>
             <Stack.Navigator initialRouteName="Home"
-                              screenOptions={({navigation}) => ({
-                                  headerStyle: {
-                                      backgroundColor: nativeBaseTheme.colors.primary[800],
-                                  },
-                                  headerTintColor: '#fff',
-                                  headerTitleStyle: {
-                                      fontWeight: 'bold',
-                                  },
-                                  headerRight: () => (
-                                      <IconButton
-                                          onPress={() => navigation.navigate("Search", {inventoryId: null})}
-                                          title="Info"
-                                          color="#fff"
-                                          _icon={{
-                                              as: AntDesign,
-                                              name: "search1",
-                                              color: "white"
-                                          }}
-                                      />
-                                  ),
-                              })}
+                             screenOptions={ ({ navigation }) => ( {
+                                 headerStyle: {
+                                     backgroundColor: nativeBaseTheme.colors.primary[800],
+                                 },
+                                 headerTintColor: '#fff',
+                                 headerTitleStyle: {
+                                     fontWeight: 'bold',
+                                 },
+                                 headerRight: () => (
+                                     <HStack space={ 0 } alignItems="end" marginRight={-3}>
+                                         <IconButton
+                                             onPress={() => navigation.navigate("Notes", {inventoryId: null})}
+                                             title="Info"
+                                             color="#fff"
+                                             _icon={{
+                                                 as: AntDesign,
+                                                 name: "message1",
+                                                 color: "white"
+                                             }}
+                                         />
+                                         <IconButton
+                                             onPress={ () => navigation.navigate("Search", { inventoryId: null }) }
+                                             title="Info"
+                                             color="#fff"
+                                             _icon={ {
+                                                 as: AntDesign,
+                                                 name: "search1",
+                                                 color: "white"
+                                             } }
+                                         />
+                                         <IconButton
+                                             onPress={() => navigation.navigate("Logout", {inventoryId: null})}
+                                             title="Info"
+                                             color="#fff"
+                                             _icon={{
+                                                 as: AntDesign,
+                                                 name: "logout",
+                                                 color: "white"
+                                             }}
+                                         />
+                                     </HStack>
+                                 ),
+                             } ) }
             >
-                {loggedIn ? (
+                { loggedIn ? (
                     <>
                         <Stack.Screen
                             name="Home"
-                            component={HomePage}
-                            options={{
+                            component={ HomePage }
+                            options={ {
                                 title: 'My home'
-                            }}
+                            } }
                         />
                         <Stack.Screen
                             name="Search"
-                            component={SearchPage}
-                            initialParams={{inventoryId: null}}
+                            component={ SearchPage }
+                            initialParams={ { inventoryId: null } }
                         />
                         <Stack.Screen
-                            name={"Notes"}
-                            component={NotesViewPage}
+                            name={ "Notes" }
+                            component={ NotesViewPage }
                         />
                         <Stack.Screen
                             name="Logout"
-                            component={Logout}
+                            component={ Logout }
                         />
                         <Stack.Screen
-                            name={"Item"}
-                            component={ItemViewPage}
+                            name={ "Item" }
+                            component={ ItemViewPage }
                         />
                     </>
                 ) : (
                     <Stack.Screen
                         name="Login"
-                        component={LoginPage}
-                        options={({navigation}) => ({
+                        component={ LoginPage }
+                        options={ ({ navigation }) => ( {
                             headerRight: () => (
                                 <></>
                             )
-                        })}
+                        } ) }
                     />
-                )}
+                ) }
             </Stack.Navigator>
         </NavigationContainer>
     )