commit 84cc4e49043fb40cb497bf448d9a5b10f785b3e5
Author: Michal Schwob <michal.schwob@seznam.cz>
Date:   Wed Oct 11 22:14:04 2023 +0200

    Fixed error while opening search page, libraries versions updated, api address changed to dev version
    re #10798

diff --git a/package.json b/package.json
index 047d377..a93373c 100644
--- a/package.json
+++ b/package.json
@@ -11,37 +11,38 @@
   "dependencies": {
     "@react-navigation/drawer": "^6.6.2",
     "@react-navigation/native": "^6.1.6",
-    "@react-navigation/native-stack": "^6.9.12",
+    "@react-navigation/native-stack": "^6.9.14",
     "@reduxjs/toolkit": "^1.9.3",
     "axios": "^1.3.4",
-    "expo": "~48.0.9",
-    "expo-status-bar": "~1.4.4",
+    "expo": "^49.0.13",
+    "expo-splash-screen": "~0.20.5",
+    "expo-status-bar": "~1.6.0",
     "native-base": "^3.4.28",
     "react": "18.2.0",
     "react-dom": "^18.2.0",
-    "react-native": "0.71.8",
-    "react-native-deck-swiper": "^2.0.13",
-    "react-native-gesture-handler": "~2.9.0",
+    "react-native": "0.72.5",
+    "react-native-deck-swiper": "^1.1.7",
+    "react-native-gesture-handler": "~2.12.0",
     "react-native-logs": "^5.0.1",
     "react-native-multiple-select": "^0.5.12",
-    "react-native-reanimated": "~2.14.4",
-    "react-native-safe-area-context": "4.5.0",
-    "react-native-screens": "~3.20.0",
-    "react-native-svg": "13.4.0",
+    "react-native-reanimated": "~3.3.0",
+    "react-native-safe-area-context": "4.6.3",
+    "react-native-screens": "~3.22.0",
+    "react-native-svg": "13.9.0",
     "react-native-tab-view": "^3.5.1",
     "react-native-vector-icons": "^9.2.0",
     "react-redux": "^8.0.5",
     "redux": "^4.2.1",
-    "typescript": "^4.9.4",
-    "expo-splash-screen": "~0.18.2"
+    "redux-persist-transform-encrypt": "^5.0.0",
+    "typescript": "^4.9.4"
   },
   "devDependencies": {
     "@babel/core": "^7.20.0",
     "@tsconfig/react-native": "^2.0.3",
     "@types/jest": "^29.5.0",
-    "@types/react": "^18.0.28",
+    "@types/react": "~18.2.14",
     "@types/react-test-renderer": "^18.0.0",
-    "typescript": "^4.9.4"
+    "typescript": "^5.1.3"
   },
   "private": true
 }
diff --git a/src/api/api.ts b/src/api/api.ts
index 89cb9a4..0d5eda5 100644
--- a/src/api/api.ts
+++ b/src/api/api.ts
@@ -1,8 +1,8 @@
 import axios from "axios"
-import { BASE_URL } from "./constants"
+import { BASE_API_URL } from "./constants"
 
 
 export const axiosInstance = axios.create({
-    baseURL: BASE_URL,
+    baseURL: BASE_API_URL,
     withCredentials: true
 })
diff --git a/src/api/constants.ts b/src/api/constants.ts
index 034bb0f..96d7b31 100644
--- a/src/api/constants.ts
+++ b/src/api/constants.ts
@@ -1,9 +1,10 @@
-export const BASE_URL = 'https://www.inventariarudolphina.com/api'
+export const BASE_URL = 'http://147.228.173.159'
+export const BASE_API_URL = BASE_URL + '/api'
 
-export const AVATAR_URL = 'https://www.inventariarudolphina.com/static/avatars'
+export const AVATAR_URL = BASE_URL + '/static/avatars'
 
-export const IMAGE_URL = 'https://www.inventariarudolphina.com/static/images'
+export const IMAGE_URL = BASE_URL + '/static/images'
 
-export const HOME_PAGE_IMG_URL = 'https://www.inventariarudolphina.com/static/home/Rudolf-Aachen-crop.png'
+export const HOME_PAGE_IMG_URL = BASE_URL + '/static/home/Rudolf-Aachen-crop.png'
 
-export const ITEM_PREVIEW_IMG_PREFIX_URL = 'https://www.inventariarudolphina.com/static/images/thumb-'
\ No newline at end of file
+export const ITEM_PREVIEW_IMG_PREFIX_URL = BASE_URL + '/static/images/thumb-'
\ No newline at end of file
diff --git a/src/components/listView/ListViewInventoryGroup.tsx b/src/components/listView/ListViewInventoryGroup.tsx
index df06e76..dbfa6b5 100644
--- a/src/components/listView/ListViewInventoryGroup.tsx
+++ b/src/components/listView/ListViewInventoryGroup.tsx
@@ -86,48 +86,46 @@ const ListViewInventoryGroup = (props: ListViewInventoryGroupProps) => {
     }, [])
 
     return (
-        <>
-            <VStack mb={ 2 }>
+        <VStack mb={2} key={props.inventoryName}>
+            <Button
+                onPress={() => setIsExpanded(!isExpanded)}
+                alignSelf={"flex-start"}
+                variant="solid"
+                bg={"primary.500"}
+                mb={2}
+                p={1}
+                key={props.inventoryName}
+                size={"md"}
+            >
+                {props.inventoryLabel}
+            </Button>
+            {isExpanded && items && items.map((item) => (
+                <ItemPreview
+                    // @ts-ignore
+                    caption={item.object[0].caption}
+                    title={item.text}
+                    name={parseArtists(item)}
+                    image={parseImage(item)}
+                    itemId={item.xml_id}
+                    inventoryLabel={props.inventoryLabel}
+                    navigation={props.navigation}
+                />
+            ))}
+            {isExpanded && items && pagination && pagination.cursor < pagination.records && (
                 <Button
-                    onPress={ () => setIsExpanded(!isExpanded) }
-                    alignSelf={ "flex-start" }
-                    variant="solid"
-                    bg={ "primary.500" }
-                    mb={ 2 }
-                    p={ 1 }
-                    key={ props.inventoryName }
-                    size={ "md" }
+                    onPress={() => dispatch(loadItemsByInventory(props.inventoryName))}
+                    variant={"Link"}
+                    mt={0}
+                    size={"sm"}
+                    color={"primary.500"}
+                    textDecoration={"underline"}
                 >
-                    { props.inventoryLabel }
+                    <Text fontSize={"sm"} color={"primary.500"} underline>Load more</Text>
                 </Button>
-                { isExpanded && items && items.map((item) => (
-                    <ItemPreview
-                        // @ts-ignore
-                        caption={ item.object[0].caption }
-                        title={ item.text }
-                        name={ parseArtists(item) }
-                        image={ parseImage(item) }
-                        itemId={ item.xml_id }
-                        inventoryLabel={ props.inventoryLabel }
-                        navigation={ props.navigation }
-                    />
-                )) }
-                { isExpanded && items && pagination && pagination.cursor < pagination.records && (
-                    <Button
-                        onPress={ () => dispatch(loadItemsByInventory(props.inventoryName)) }
-                        variant={ "Link" }
-                        mt={ 0 }
-                        size={ "sm" }
-                        color={ "primary.500" }
-                        textDecoration={ "underline" }
-                    >
-                        <Text fontSize={ "sm" } color={ "primary.500" } underline>Load more</Text>
-                    </Button>
-                ) }
-                <Divider my={ 2 } colorScheme={"primary"} />
+            )}
+            <Divider my={2} colorScheme={"primary"}/>
 
-            </VStack>
-        </>
+        </VStack>
     )
 }
 
diff --git a/src/pages/Navigation.tsx b/src/pages/Navigation.tsx
index 713235e..5766b63 100644
--- a/src/pages/Navigation.tsx
+++ b/src/pages/Navigation.tsx
@@ -63,6 +63,7 @@ const Navigation = () => {
                         <Drawer.Screen
                             name="Search"
                             component={SearchPage}
+                            initialParams={{inventoryId: null}}
                         />
                         <Drawer.Screen
                             name={"Notes"}